#ifndef SNAPSHOTDEFINITION_SEEN
#define SNAPSHOTDEFINITION_SEEN

#include <string>
#include "abstractElement.h"

using namespace std;

class elementSnapshot : public abstractElement
{
  int incr_;

  string snapshotFile_;
  void setDefaultValues();
  void setDefaults();
    
 public :

  elementSnapshot() {;}
  elementSnapshot(int);
  ~elementSnapshot() {;}
  
  virtual string* getParametersString() const;
  virtual void setParametersString(string* param);
  virtual  string parmelaOutputFlow() const;
  virtual string transportOutputFlow() const;  
   
  virtual string FileOutputFlow() const;  
  virtual void FileInput(ifstream& ifs);
  string print();  
};
#endif
