#ifndef GWT_DRAGGABLEIMAGE_SEEN
#define GWT_DRAGGABLEIMAGE_SEEN

#include <Wt/WImage>

using namespace Wt;


class GWt_draggableImage : public WImage
{
    public :
    
    GWt_draggableImage(const WLink &,const WString &,WContainerWidget *parent=0);
    GWt_draggableImage(const WLink &,WContainerWidget *parent=0);
    ~GWt_draggableImage();
    
protected:
    void mouseOver(const WMouseEvent &e );
    void mouseOut(const WMouseEvent &e );
    void mouseUp(const WMouseEvent &e );
    void mouseDown(const WMouseEvent &e );
    void mouseIsDragged(const WMouseEvent &e );
    void setChangeCursorOnMouseOver(bool);
    
    bool changeCursorOnMouseOver_;
    
private:
    void init();
};
#endif
