#ifndef TRANSPORTMOMENTS_SEEN
#define TRANSPORTMOMENTS_SEEN

#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

class beam2Moments
{

  // matrice des moments ; pour l'instant au format transport
  // rii = sqrt(sigma_ii)
  // rij = correlation , |rij| < 1
  vector< vector<double> > rij_secondOrderMoments_;

  void initializeMoments();

 public :

  beam2Moments();

~beam2Moments();


beam2Moments( beam2Moments& tm);

beam2Moments(const beam2Moments& tm);

 beam2Moments(double x, double xp, double y, double yp, double dl, double del);

// const vector< vector<double> >& getMoments() const;
 vector< vector<double> >& getMatrix();
 void raz();

 // void readFromTransportOutput(ifstream& inp);
 bool readFromTransportOutput(stringstream& inp);
 string writeToTransportInput(double P0) const;

 void impression() const;

  // operators
  
  beam2Moments& operator= (const beam2Moments& tpm);

};


#endif
