#ifndef NOMDELOGICIEL_SEEN
#define NOMDELOGICIEL_SEEN

#include <string> 

using namespace std;



class nomDeLogiciel
{

 public: 


  enum Logiciel
  {
    parmela, transport, generator, test, unknownSoftware
  };


 private:

  Logiciel program_;
  std::string progString_;
  //  int value_;
  
  static Logiciel fromString( std::string s);
  static std::string toString( Logiciel lg);  
  //  static Logiciel fromValue( int v);  
  //  static int toValue( Logiciel lg);
  
 public : 
  // constructors
  
  nomDeLogiciel();  
  nomDeLogiciel(const string& s);  
  nomDeLogiciel(int val);
  static int getNumberOfSoftwares();
  
  inline std::string getString() const {return progString_;}
  
  // operators
  
  nomDeLogiciel& operator= (const nomDeLogiciel& nl);  
  bool operator== (const nomDeLogiciel& nl);  
  bool operator!= (const nomDeLogiciel& nl);
  
};




#endif
