#ifndef SOFTWAREGENERATOR_SEEN
#define SOFTWAREGENERATOR_SEEN


#include "abstractSoftware.h"

class softwareGenerator : public abstractSoftware
{

 protected : 



 bool beamFromGenerator(string beamFileName, string workingDir, vector<double>& centroid, bareParticle& refPart,vector<bareParticle>& particles, vector<bareParticle>& passiveParticles );

 public : 


    softwareGenerator();
    
    softwareGenerator(string inputFileName, globalParameters* globals, dataManager* dt);

  virtual ~softwareGenerator() {;}


  virtual bool createInputFile(particleBeam* beamBefore, unsigned int numeroDeb, unsigned int numeroFin, string workingDir);


  virtual bool  execute(string workingDir);


  virtual bool buildBeamAfterElements(string workingDir);

    inline string getColor() {
        return "#a3c0ed";
    }

    /* inline string getName() const { */
    /*     return "generator"; */
    /* } */
};

#endif
