#ifndef GWT_SERVERFILESELECTOR
#define GWT_SERVERFILESELECTOR

#include "GWt_dialog.h"

#include <Wt/WDialog>
#include <Wt/WString>
#include <Wt/WContainerWidget>
#include <Wt/WTree>

using namespace Wt;

/**
 CrÈer une fenÍtre de dialogue et permet de la paramËtres facilement
 @param titre : titre de la fenÍtre
 @param icon : icone ‡ afficher dans le corps de la boite (Warning, Error, Info, Wait, NoIcon)
 @param modal : true si cette fenÍtre doit Ítre bloquante
 @param okButton : true pour fermer cette fenÍtre avec un bouton "ok". false n'affiche aucun bouton
 */

class GWt_serverFileSelector : public GWt_dialog
{

    public :
    
    /** Add a dialog with the given container inside
     @param titre: A title displayed on the window title bar
     @param message: The message inside this dialog
     @param container: a valid WContainer
     */
    GWt_serverFileSelector(WString titre, std::string wd);

    /**  open this dialog and return the selected file or "" if not
     */
    std::string exec();
    
    private :
    void buildConfigurationFileTree(Wt::WTreeNode *root, const char* folder, const char* pattern);
    Wt::WTree *treeRoot_;

    /** working directory for this file selector
     */
    std::string workingDir_;
};
#endif
